Freenix
Freenix forum

Home » Community » General Info and Discussion » wget 1.19.2 and mirror server conflict (the latest wget patch is incompatible with mirror.freeslack.space)
icon4.gif  wget 1.19.2 and mirror server conflict [message #11] Sat, 13 January 2018 20:42 Go to next message
KRT1 is currently offline  KRT1
Messages: 11
Registered: March 2017
Location: sol 3
Junior Member
Here's a funny one.

The latest wget version (1.19.2-1) available in the FreeSlack repos has a bug that makes using the freeslack.space mirror impossible. Trying to download with slackpkg or anything else that uses wget on the backend results in a segfault.

The main repo at freeslack.net doesn't have this incompatibility. So either downgrade to wget 1.18, or just avoid updating it from version 1.18, or use the main repo instead of mine. Those seem to be the three choices.

More on the wget bug here:

https://bugzilla.redhat.com/show_bug.cgi?id=1511562

I talked to my hosting provider about the issue. They confirmed that the problem was with my copy of wget and nothing having to do with the server details.




Re: wget 1.19.2 and mirror server conflict [message #13 is a reply to message #11] Fri, 19 January 2018 18:04 Go to previous message
KRT1 is currently offline  KRT1
Messages: 11
Registered: March 2017
Location: sol 3
Junior Member
Update: the latest wget announcement mentions: "This is a minor bugfix release, primarily to fix the behaviour of GNU Wget with
some incorrectly configured servers." I guess there are a few misbehaving servers in the family....

In other news, emacspeak seems to be doing fine on the freeslack.space server (hosted at Namecheap.com, fwiw).


Previous Topic: main www repo emacspeak*z unavailabale
Next Topic: Free Software Founation Listing
Goto Forum:
  


Current Time: Tue Nov 13 13:42:31 EST 2018

Total time taken to generate the page: 0.01363 seconds